package com.migao.controller;

import com.migao.config.response.BasePageRequest;
import com.migao.config.response.PageBeanOne;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.DemandSchedule;
import com.migao.entity.vo.req.DemandScheduleInsertReq;
import com.migao.entity.vo.req.DemandScheduleQueryReq;
import com.migao.entity.vo.req.DemandScheduleUpdateReq;
import com.migao.entity.vo.res.DemandScheduleQueryRes;
import com.migao.service.DemandScheduleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author dingsong
 */
@Api(tags = "009.需求进度模快")
@RestController
@RequestMapping("/demandSchedule")
public class DemandScheduleController {
    @Resource
    DemandScheduleService scheduleService;

    @ApiOperation("导入需求进度")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(@RequestBody DemandScheduleInsertReq dsi){
        return scheduleService.insert(dsi);
    }

    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(@RequestParam String id){
        return scheduleService.deleteById(id);
    }

    @ApiOperation("更新")
    @PostMapping(value = "/updateById")
    public ResponseBean<?> updateById(@RequestBody DemandScheduleUpdateReq updateReq){
        return scheduleService.updateById(updateReq);
    }

    @ApiOperation("查看单个进度详情")
    @PostMapping(value = "/findById")
    public ResponseBean<DemandSchedule> findById(@RequestParam String id){
        return scheduleService.findById(id);
    }

    @ApiOperation("分页查看所有需求进度记录")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQuery(@RequestBody BasePageRequest basePageRequest){
        return scheduleService.pageQuery(basePageRequest);
    }

    @ApiOperation("分页查看当前用户需求进度记录")
    @PostMapping(value = "/pageQueryById")
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryById(@RequestBody BasePageRequest basePageRequest){
        return  scheduleService.pageQueryById(basePageRequest);
    }

    @ApiOperation("分页模糊查看所有需求进度记录")
    @PostMapping(value = "/pageQueryOne")
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryOne(@RequestBody DemandScheduleQueryReq dsi){
        return scheduleService.pageQueryOne(dsi);
    }

    @ApiOperation("分页模糊查看当前用户需求进度记录")
    @PostMapping(value = "/pageQueryOneById")
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryOneById(@RequestBody DemandScheduleQueryReq dsi){
        return scheduleService.pageQueryOneById(dsi);
    }
}
