package com.migao.controller;


import com.migao.config.constant.ExamineStatus;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.DictionaryListRes;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.service.MilestoneService;
import com.migao.service.ProjectService;
import com.migao.service.PurchasingApprovalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import io.swagger.annotations.ApiParam;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "104.项目管控")
@RestController
@RequestMapping("/project")
public class ProjectController {

    @Resource
    private ProjectService projectService;

    @Resource
    private PurchasingApprovalService purchasingApprovalService;


    @ApiOperationSupport(order = 3)
    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectUpdateReq projectUpdateReq
    ) {
        return projectService.update(projectUpdateReq);
    }


    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询(所有子项目)")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjectQueryRes>> pageQuery(
            @RequestBody PurchasingApprovalPageQueryReq purchasingApprovalPageQueryReq
    ) {
        return purchasingApprovalService.pageQuery(purchasingApprovalPageQueryReq);
    }

    @ApiOperationSupport(order = 2)
    @ApiOperation("根据id查询详情")
    @PostMapping(value = "/findById")
    public ResponseBean<ProjectQueryRes> findById(
            @RequestParam Integer id
    ) {
        return projectService.findById(id);
    }
}
