package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.ProjectPageQueryReq;
import com.migao.entity.vo.req.ProjectUpdateReq;
import com.migao.entity.vo.req.ParentProjectInsertReq;
import com.migao.entity.vo.res.DictionaryListRes;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.service.ProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "101.储备下达")
@RestController
@RequestMapping("/project/give")
public class ProjectGiveController {

    @Resource
    private ProjectService projectService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询(储备通过的项目)")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjectQueryRes>> pageQueryControl(
            @RequestBody ProjectPageQueryReq projectPageQueryReq
    ) {
        return projectService.pageQueryControl(projectPageQueryReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("新增子项目")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insertSubProject(
            @Validated(value = {Insert.class}) @RequestBody ParentProjectInsertReq parentProjectInsertReq
    ) {
        return projectService.insertSubProject(parentProjectInsertReq);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectUpdateReq projectUpdateReq
    ) {
        return projectService.update(projectUpdateReq);
    }

    @ApiOperationSupport(order = 2)
    @ApiOperation("根据id查询详情")
    @PostMapping(value = "/findById")
    public ResponseBean<ProjectQueryRes> findById(
            @RequestParam Integer id
    ) {
        return projectService.findById(id);
    }


    @ApiOperationSupport(order = 5)
    @ApiOperation("导出")
    @PostMapping(value = "/giveExport")
    public ResponseBean<?> giveExport(
            @RequestBody ProjectPageQueryReq projectPageQueryReq
    ) {
        return projectService.giveExport(projectPageQueryReq);
    }

}
