package com.migao.entity.po;


import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_demand_schedule")
@org.hibernate.annotations.Table(appliesTo = "t_demand_schedule", comment = "需求进度")
@TableName("t_demand_schedule")
public class DemandSchedule implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(columnDefinition = "text comment '需求描述'")
    private String demandDescribe;

    @Column(columnDefinition = "decimal comment '需求进度'")
    private BigDecimal demandSchedule;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '提交时间'")
    private LocalDateTime submitTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(columnDefinition = "tinyint(1) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
