package com.migao.entity.vo.req;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DemandLibraryExcelReq {
    /**
     * 需求名称
     */
    @ExcelProperty(index = 0)
    private String demandName;

    /**
     * 需求部门
     */
    @ExcelProperty(index = 1)
    private String unitName;

    /**
     * 需求内容
     */
    @ExcelProperty(index = 2)
    private String demandContent;

    /**
     * 负责人
     */
    @ExcelProperty(index = 3)
    private String submitter;

    /**
     * 实施厂商
     */
    @ExcelProperty(index = 4)
    private String implementVender;

    /**
     * 受理需求时间
     */
    @ExcelProperty(index = 5)
    private String acceptDemandTime;

    /**
     * 计划需求实施工期(周)
     */
    @ExcelProperty(index = 6)
    private String planDemandTime;

    /**
     * 截至目前完成百分比
     */
    @ExcelProperty(index = 7)
    private BigDecimal demandSchedule;
}
