package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandScheduleInsertReq {
    @ApiModelProperty(value = "需求描述")
    @NotEmpty(message = "需求描述不能为空")
    private String demandDescribe;

    @ApiModelProperty(value = "需求进度")
    @NotNull(message = "需求进度不能为空")
    private BigDecimal demandSchedule;
}
