package com.migao.entity.vo.req;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ImportMilestoneReq {

    @ExcelProperty(index = 0)
    @ApiModelProperty(value = "里程碑名称")
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ExcelProperty(index = 1)
    @ApiModelProperty(value = "内容")
    @NotEmpty(message = "内容不能为空")
    private String content;

    @ExcelProperty(index = 2)
    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始时间不能为空")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "结束时间")
    @NotNull(message = "结束时间不能为空")
    @ExcelProperty(index = 3)
    private LocalDateTime endTime;
}
