package com.migao.entity.vo.req;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ImportProjectReq {

    @ExcelProperty(index = 0)
    @ApiModelProperty(value = "资本性(万元)")
    @NotEmpty(message = "资本性(万元)不能为空")
    private String capital;

    @ExcelProperty(index = 1)
    @ApiModelProperty(value = "项目内容")
    @NotEmpty(message = "项目内容不能为空")
    private String content;

    @ExcelProperty(index = 2)
    @ApiModelProperty(value = "成本性(万元)")
    @NotEmpty(message = "成本性(万元)不能为空")
    private String cost;

    @ExcelProperty(index = 3)
    @ApiModelProperty(value = "储备年份")
    @NotNull(message = "储备年份不能为空")
    private LocalDateTime createTime;

    @ExcelProperty(index = 4)
    @ApiModelProperty(value = "重要等级")
    @NotEmpty(message = "重要等级不能为空")
    private String level;

    @ExcelProperty(index = 5)
    @ApiModelProperty(value = "项目名称")
    @NotEmpty(message = "项目名称不能为空")
    private String name;

    @ExcelProperty(index = 6)
    @ApiModelProperty(value = "可研情况")
    @NotEmpty(message = "可研情况不能为空")
    private String progress;

    @ExcelProperty(index = 7)
    @ApiModelProperty(value = "项目分类")
    @NotEmpty(message = "项目分类不能为空")
    private String projectClassify;

    @ExcelProperty(index = 8)
    @ApiModelProperty(value = "项目专业分类")
    @NotEmpty(message = "项目专业分类不能为空")
    private String specialtyClassify;

    @ExcelProperty(index = 9)
    @ApiModelProperty(value = "合计(万元)")
    @NotEmpty(message = "合计(万元)不能为空")
    private String total;

    @ExcelProperty(index = 10)
    @ApiModelProperty(value = "总投资(万元)")
    @NotEmpty(message = "总投资(万元)不能为空")
    private String totalInvestment;

    @ExcelProperty(index = 11)
    @ApiModelProperty(value = "二级分类")
    @NotEmpty(message = "二级分类不能为空")
    private String twoClassify;

    @ExcelProperty(index = 12)
    @ApiModelProperty(value = "填报单位")
    @NotEmpty(message = "填报单位不能为空")
    private String unit;

    @ExcelProperty(index = 13)
    @ApiModelProperty(value = "下达状态")
    @NotEmpty(message = "下达状态不能为空")
    private String orderStatus;

    @ExcelProperty(index = 14)
    @ApiModelProperty(value = "储备状态")
    @NotEmpty(message = "储备状态不能为空")
    private String reserveStatus;

}