package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.migao.util.LocalDateTimeConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandLibraryExportRes {
    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ExcelProperty(value = "需求编号")
    @ApiModelProperty(value = "需求编号")
    private String demandNumber;

    @ExcelProperty(value = "需求名称")
    @ApiModelProperty(value = "需求名称")
    private String demandName;

    @ExcelProperty(value = "需求内容")
    @ApiModelProperty(value = "需求内容")
    private String demandContent;

    @ExcelProperty(value = "需求分类")
    @ApiModelProperty(value = "需求分类")
    private String demandClass;

    @ExcelProperty(value = "需求单位")
    @ApiModelProperty(value = "需求单位")
    private String unitName;

    @ExcelProperty(value = "需求状态")
    @ApiModelProperty(value = "需求状态")
    private String demandStatus;

    @ExcelProperty(value = "需求进度")
    @ApiModelProperty(value = "需求进度")
    private BigDecimal demandSchedule;

    @ExcelProperty(value = "关联项目")
    @ApiModelProperty(value = "关联项目")
    private String associatedProjectId;

    @ExcelProperty(value = "负责人")
    @ApiModelProperty(value = "负责人")
    private String submitter;

    @ExcelProperty(value = "提报人")
    @ApiModelProperty(value = "提报人")
    private String createUser;

    @ExcelProperty(value = "提交时间", converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "提交时间")
    private LocalDateTime submitTime;
}
