package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.migao.util.LocalDateTimeConverter;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.jpa.convert.threeten.Jsr310JpaConverters;

import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class MilestoneQueryRes {

    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ExcelProperty("里程碑名称")
    @ApiModelProperty(value = "里程碑名称")
    private String name;

    @ExcelIgnore
    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    @ExcelProperty("项目名称")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ExcelProperty("进度")
    @ApiModelProperty(value = "进度")
    private String schedule;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态")
    private String status;

    @ExcelProperty("提交人")
    @ApiModelProperty(value = "提交人")
    private String username;

    @ExcelProperty(value = "创建时间",converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ExcelProperty(value = "结束时间",converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endTime;

}
