package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.migao.util.LocalDateTimeConverter;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjectQueryRes {

    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ExcelProperty(value = "项目名称")
    @ApiModelProperty(value = "项目名称")
    private String name;

    @ExcelProperty(value = "项目内容")
    @ApiModelProperty(value = "项目内容")
    private String content;

    @ExcelProperty(value = "重要等级")
    @ApiModelProperty(value = "重要等级")
    private String level;

    @ExcelProperty(value = "可研情况")
    @ApiModelProperty(value = "可研情况")
    private String progress;

    @ExcelProperty(value = "项目分类")
    @ApiModelProperty(value = "项目分类")
    private String projectClassify;

    @ExcelProperty(value = "项目专业分类")
    @ApiModelProperty(value = "项目专业分类")
    private String specialtyClassify;

    @ExcelProperty(value = "合计(万元)")
    @ApiModelProperty(value = "合计(万元)")
    private String total;

    @ExcelProperty(value = "总投资(万元)")
    @ApiModelProperty(value = "总投资(万元)")
    private String totalInvestment;

    @ExcelProperty(value = "资本性(万元)")
    @ApiModelProperty(value = "资本性(万元)")
    private String capital;

    @ExcelProperty(value = "成本性(万元)")
    @ApiModelProperty(value = "成本性(万元)")
    private String cost;

    @ExcelProperty(value = "二级分类")
    @ApiModelProperty(value = "二级分类")
    private String twoClassify;

    @ExcelProperty(value = "填报单位")
    @ApiModelProperty(value = "填报单位")
    private String unit;

    @ExcelProperty(value = "下达状态")
    @ApiModelProperty(value = "下达状态")
    private String orderStatus;

    @ExcelProperty(value = "储备状态")
    @ApiModelProperty(value = "储备状态")
    private String reserveStatus;


    @ExcelProperty(value = "创建时间", converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

}
