package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.BasePageRequest;
import com.migao.config.response.PageBeanOne;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.DemandSchedule;
import com.migao.entity.vo.req.DemandScheduleInsertReq;
import com.migao.entity.vo.req.DemandScheduleQueryReq;
import com.migao.entity.vo.req.DemandScheduleUpdateReq;
import com.migao.entity.vo.res.DemandLibraryPageQueryRes;
import com.migao.entity.vo.res.DemandScheduleQueryRes;

/**
 * @author dingsong
 */
public interface DemandScheduleService extends IService<DemandSchedule> {
    /**
     * 新增
     * @param dsi 需求进度
     * @return
     */
    public ResponseBean<?> insert(DemandScheduleInsertReq dsi);

    /**
     * 删除
     * @param id 进度id
     * @return
     */
    public ResponseBean<?> deleteById(String id);

    /**
     * 更新
     * @param updateReq 进度更新内容
     * @return
     */
    public ResponseBean<?> updateById(DemandScheduleUpdateReq updateReq);

    /**
     * 查看单个进度详情
     * @param id 进度id
     * @return
     */
    public ResponseBean<DemandSchedule> findById(String id);

    /**
     * 分页查看所有需求进度记录
     * @param basePageRequest 页数
     * @return
     */
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQuery(BasePageRequest basePageRequest);

    /**
     * 分页查看当前用户需求进度记录
     * @param basePageRequest 页数
     * @return
     */
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryById(BasePageRequest basePageRequest);

    /**
     * 分页模糊查看所有需求进度记录
     * @param dsi 关键字
     * @return
     */
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryOne(DemandScheduleQueryReq dsi);

    /**
     * 分页模糊查看当前用户需求进度记录
     * @param dsi 关键字
     * @return
     */
    public ResponseBean<PageBeanOne<DemandScheduleQueryRes>> pageQueryOneById(DemandScheduleQueryReq dsi);
}
